module.exports = {
    root: true,
    env: {
        node: true
    },
    // 1: ESLint with error prevention only
    // extends: ['plugin:vue/essential', 'eslint:recommended'],
    // 2: ESLint + Airbnb config
    // extends: ['plugin:vue/essential', '@vue/airbnb',],
    // 3: ESLint + Standard config
    // extends: [ 'plugin:vue/essential', '@vue/airbnb',],
    // 4. ESLint + Prettier
    // extends: ['plugin:vue/recommended', 'eslint:recommended', '@vue/prettier'],
    extends: ['plugin:vue/recommended', 'eslint:recommended'],
    plugins: [],
    parserOptions: {
        parser: 'babel-eslint'
    },
    /**add your custom rules here
     * 下面这些rules是用来设置从插件来的规范代码的规则，使用必须去掉前缀eslint-plugin-
     * 主要有如下的设置规则，可以设置字符串也可以设置数字，两者效果一致
     * "off" 或 0 - 关闭规则
     * "warn" 或 1 - 开启规则，使用警告级别的错误：warn (不会导致程序退出)
     * "error" 或 2 - 开启规则，使用错误级别的错误：error (当被触发的时候，程序会退出)
     */
    globals: {
        window: true
    },
    rules: {
        // 会报各种奇怪的错误 如：error: Delete ⏎ (prettier/prettier) at src/pages/xxx 等；
        // 这是因为prettier配置和编辑器prettier配置冲突导致的 在下面配置覆盖掉就可以了
        // "prettier/prettier": [
        //     "error",
        //     {
        //         "singleQuote": true,
        //         "trailingComma": "none",
        //         "bracketSpacing": true,
        //         "jsxBracketSameLine": true
        //     }
        // ],
        // 是否开启prettier校验,默认开启.可选 warn / error / off
        // "prettier/prettier": "warn",
        // "no-console": process.env.NODE_ENV === "production" ? "warn" : "off",
        'no-console': [0, { llow: ['warn', 'error'] }],
        'no-debugger': process.env.NODE_ENV === 'production' ? 'error' : 'off',
        indent: [
            'error',
            4,
            {
                SwitchCase: 1,
                flatTernaryExpressions: true
            }
        ],
        'comma-dangle': ['error', 'never'],
        quotes: ['error', 'single'],
        semi: ['error', 'never'],
        'vue/html-indent': [
            'error',
            4,
            {
                attribute: 1,
                baseIndent: 1,
                closeBracket: 0,
                alignAttributesVertically: true,
                ignores: []
            }
        ],
        'vue/html-self-closing': [
            'error',
            {
                html: {
                    void: 'any',
                    normal: 'any',
                    component: 'never'
                },
                svg: 'never',
                math: 'always'
            }
        ],
        'vue/html-closing-bracket-newline': [
            'error',
            {
                singleline: 'never',
                multiline: 'never'
            }
        ],
        // 去掉空白报错
        'no-irregular-whitespace': 'off',
        // 变量声明后必须使用；参数arg不做限制
        'no-unused-vars': [
            1,
            {
                vars: 'all',
                args: 'none'
            }
        ]
    }
}
