export default (axios, config = {}) => {
    // axios.defaults.baseURL = process.env.VUE_APP_BASEURL
    // axios.defaults.timeout = 10000
    // axios.defaults.headers['custom-defined-header-key'] = 'custom-defined-header-value'
    // // 自定义请求头：对所有请求方法生效
    // axios.defaults.headers.common['common-defined-key-b'] = 'custom value: for all methods'
    // // 自定义请求头：只对post方法生效
    // axios.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded';
    // // 自定义请求头：只对get方法生效
    // axios.defaults.headers.get['get-custom-key'] = 'custom value: only for get method';

    const defaultConfig = {
        baseURL: process.env.VUE_APP_BASEURL,
        timeout: 10000,
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
            'custom-defined-header-key': 'custom-defined-header-value',
            common: {
                'common-defined-key-b': 'custom value: for all methods'
            },
            post: {
                'post-custom-key': 'custom value: only for post method'
            },
            get: {
                'get-custom-key': 'custom value: only for get method'
            }
        }
    }

    Object.assign(axios.defaults, defaultConfig, config)
    return axios
}
