import Vue from 'vue'
import Vuex from 'vuex'

const requireContext = require.context('.', true, /\.js$/)
let modules = {}
requireContext
    .keys()
    .filter((path) => path !== './index.js')
    .forEach((path) => {
        const moduleName = path.match(/.*(\/)(\S*).js/)[2]
        if (moduleName === 'index') {
            console.error('store/modules下的文件名不能为index')
            return
        }
        const file = requireContext(path)
        if (path.includes('/modules/') && !file.default.namespaced) {
            console.error(`模块化${path}必须添加namespaced属性`)
            return
        }
        modules[moduleName] = file.default || file
    })

Vue.use(Vuex)

export default new Vuex.Store({
    ...global,
    modules
})
