const proxyConf = require('./src/config/proxy.config.js')

// console.log('process.env.NODE_ENV1:', process.env)

const LodashModuleReplacementPlugin = require('lodash-webpack-plugin')

module.exports = {
    // outputDir: process.env.outputDir,
    // assetsDir: 'static',
    publicPath: '/',
    devServer: {
        open: true,
        // host: '0.0.0.0',
        port: 3020,
        https: false,
        hotOnly: false,
        proxy: proxyConf
    },
    chainWebpack: (config) => {
        config.when(process.env.NODE_ENV !== 'development', (config) => {
            // 生产环境打包去掉console
            config.optimization.minimizer('terser').tap((options) => {
                options[0].terserOptions.compress.drop_console = true
                return options
            })
            // 按需引入lodash
            config.plugin('lodashReplace').use(new LodashModuleReplacementPlugin())
        })
        config.module
            .rule('eslint')
            .use('eslint-loader')
            .loader('eslint-loader')
            .tap((options) => {
                // 保存自动eslint修复
                options.fix = true
                return options
            })
    },
    // 使用全局scss变量。但会导致打包变慢
    css: {
        loaderOptions: {
            sass: {
                prependData: '@import "@/assets/style/index.scss";'
            }
        }
    }
}
